Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.ui.launchConfigurations
Class JavaArgumentsTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
              org.eclipse.jdt.debug.ui.launchConfigurations.JavaArgumentsTab

All Implemented Interfaces:
  org.eclipse.jdt.internal.debug.ui.launcher.IEntriesChangedListener, ILaunchConfigurationTab

Direct Known Subclasses:
  AppletArgumentsTab

public class JavaArgumentsTab
extends org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab

A launch configuration tab that displays and edits program arguments, VM arguments, and working directory launch configuration attributes.

This class may be instantiated. This class is not intended to be subclassed.

Since:
  2.0

Field Summary
`protected static String` | `EMPTY_STRING`
`protected Label` | `fPrgmArgumentsLabel`
`protected Text` | `fPrgmArgumentsText`
`protected org.eclipse.jdt.internal.debug.ui.launcher.VMArgumentsBlock` | `fVMArgumentsBlock`
`protected org.eclipse.jdt.internal.debug.ui.launcher.WorkingDirectoryBlock` | `fWorkingDirectoryBlock`

Constructor Summary
`JavaArgumentsTab()`

Method Summary
`void` | `activated(ILaunchConfigurationWorkingCopy workingCopy)`
`void` | `createControl(Composite parent)`
`protected org.eclipse.jdt.internal.debug.ui.launcher.VMArgumentsBlock` | `createVMArgsBlock()`
`protected org.eclipse.jdt.internal.debug.ui.launcher.WorkingDirectoryBlock` | `createWorkingDirBlock()`
`void` | `deactivated(ILaunchConfigurationWorkingCopy workingCopy)`
`void` | `dispose()`
`protected String` | `getAttributeValueFrom(Text text)` Retuns the string in the text widget, or `null` if empty.
`String` | `getErrorMessage()`
`Image` | `getImage()`
`String` | `getMessage()`
`String` | `getName()`
`void` | `initializeFrom(ILaunchConfiguration configuration)`
`boolean` | `isValid(ILaunchConfiguration config)`
`void` | `performApply(ILaunchConfigurationWorkingCopy configuration)`
`void` | `setDefaults(ILaunchConfigurationWorkingCopy config)` Defaults are empty.
`protected void` | `setHelpContextId()` Set the help context id for this launch config tab.
`void` | `setLaunchConfigurationDialog(ILaunchConfigurationDialog dialog)`

Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.JavaLaunchConfigurationTab
`entriesChanged, getContext, initializeJavaProject`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab
`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createVerticalSpacer, getControl, getLaunchConfigurationDialog, getLaunchManager, getShell, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setMessage, updateLaunchConfigurationDialog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fPrgmArgumentsLabel

    protected Label fPrgmArgumentsLabel

### fPrgmArgumentsText

    protected Text fPrgmArgumentsText

### fVMArgumentsBlock

    protected org.eclipse.jdt.internal.debug.ui.launcher.VMArgumentsBlock fVMArgumentsBlock

### fWorkingDirectoryBlock

    protected org.eclipse.jdt.internal.debug.ui.launcher.WorkingDirectoryBlock fWorkingDirectoryBlock

### EMPTY_STRING

    protected static final String EMPTY_STRING

See Also:
  Constant Field Values

Constructor Detail

### JavaArgumentsTab

    public JavaArgumentsTab()

Method Detail

### createVMArgsBlock

    protected org.eclipse.jdt.internal.debug.ui.launcher.VMArgumentsBlock createVMArgsBlock()

### createWorkingDirBlock

    protected org.eclipse.jdt.internal.debug.ui.launcher.WorkingDirectoryBlock createWorkingDirBlock()

### createControl

    public void createControl(Composite parent)

  See Also:
    `ILaunchConfigurationTab.createControl(Composite)`

### setHelpContextId

    protected void setHelpContextId()

  Set the help context id for this launch config tab. Subclasses may override this method.

### dispose

    public void dispose()

  See Also:
    `ILaunchConfigurationTab.dispose()`

### isValid

    public boolean isValid(ILaunchConfiguration config)

  See Also:
    `ILaunchConfigurationTab.isValid(ILaunchConfiguration)`

### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy config)

  Defaults are empty.

  See Also:
    `ILaunchConfigurationTab.setDefaults(ILaunchConfigurationWorkingCopy)`

### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

  See Also:
    `ILaunchConfigurationTab.initializeFrom(ILaunchConfiguration)`

### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

  See Also:
    `ILaunchConfigurationTab.performApply(ILaunchConfigurationWorkingCopy)`

### getAttributeValueFrom

    protected String getAttributeValueFrom(Text text)

  Retuns the string in the text widget, or `null` if empty.

  Returns:
    text or `null`

### getName

    public String getName()

  See Also:
    `ILaunchConfigurationTab.getName()`

### setLaunchConfigurationDialog

    public void setLaunchConfigurationDialog(ILaunchConfigurationDialog dialog)

  See Also:
    `ILaunchConfigurationTab.setLaunchConfigurationDialog(ILaunchConfigurationDialog)`

### getErrorMessage

    public String getErrorMessage()

  See Also:
    `ILaunchConfigurationTab.getErrorMessage()`

### getMessage

    public String getMessage()

  See Also:
    `ILaunchConfigurationTab.getMessage()`

### getImage

    public Image getImage()

  See Also:
    `ILaunchConfigurationTab.getImage()`

### activated

    public void activated(ILaunchConfigurationWorkingCopy workingCopy)

### deactivated

    public void deactivated(ILaunchConfigurationWorkingCopy workingCopy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.